/*  File: heap.h
 *  Author: Richard Durbin (rd@mrc-lmba.cam.ac.uk)
 *  Copyright (C) J Thierry-Mieg and R Durbin, 1991
 *-------------------------------------------------------------------
 * This file is part of the ACEDB genome database package, written by
 * 	Richard Durbin (MRC LMB, UK) rd@mrc-lmba.cam.ac.uk, and
 *	Jean Thierry-Mieg (CRBM du CNRS, France) mieg@frmop11.bitnet
 *
 * Description: header file for heap package
 * Exported functions:
 * HISTORY:
 * Last edited: Mar  4 01:58 1992 (rd)
 * Created: Sat Oct 12 21:30:43 1991 (rd)
 *-------------------------------------------------------------------
 */

#ifndef HEAP_INTERNAL
typedef void* Heap ;
#endif

Heap heapCreate (int size) ;
void heapDestroy (Heap heap) ;
int  heapInsert (Heap heap, float score) ;
int  heapExtract (Heap heap, float *sp) ;

/* end of file */
